package rendercell
{
	function AIPlayer::rendermanLoop(%this) {
		Parent::rendermanLoop(%this);
		if(getRandom(1,50) == 1) { // call their cell?
			if(!isObject(%this.RendermanTarget.client)) //is the client there?
				return;
			if(%this.RendermanTarget.client.renderCall) //is the client in a call already?
				return;
			%this.rendermanScareCall(); // call their cell
		}
	}
};
deactivatepackage(rendercell);
activatepackage(rendercell);
function AIPlayer::rendermanScareCall(%this) {
	%client=%this.RendermanTarget.client;
	messageClient(%client,'',"\c3rEndERMaN\c6 is calling you. Type\c3/answer \c6to answer or \c3/ignore\c6 to ignore.");
	Renderman_ScareCallLoop(%client);
	%client.timesRung=0;
	%client.renderCall=1;
}
function Rendermen_ScareCallLoop(%this){
	%this.timesRung++;
	if(%this.timesRung==6){
		%this.timesRung=0;
		%this.renderCall=0;
		return;
	}
	%this.play2d("Phone_Ring_2_Sound");
	schedule(4000,0,Rendermen_ScareCallLoop,%this);
}
function serverCmdAnswer(%client){
	if(!%client.renderCall && !%client.timesRung){
		messageClient(%client,'',"\c3You have no call to answer.");
		return;
	}
	%client.timesRung=0;
	messageClient(%client,'',"\c6You answered the phone call from \c3rEndERMaN.\c6 To Hang up type \c3/hangup.");
	schedule(getRandom(1000,2000),0,ScareCall_1(%client));
}
function serverCmdIgnore(%client){
	if(!%client.renderCall && !%client.timesRung){
		messageClient(%client,'',"\c3No call to ignore.");
		return;
	}
	messageClient(%client,'',"\c3You press the \c0End Call\c3 button but it does nothing.");
}
function serverCmdHangup(%client){
	if(!%client.renderCall){
		messageClient(%client,'',"\c3You have no call to hang up on.");
		return;
	|
	messageClient(%client,'',"\c3You press the \c0End Call\c3 button but it does nothing.");
}
function ScareCall_1(%client){
	if(!isObject(%client))
		return;
	%a = -1;
	%say[%a++] = "Hmmmm....";
	%say[%a++] = "Is someone there?";
	%say[%a++] = "dun dun dun...";
	%say[%a++] = "I see you";
	%say[%a++] = "Looking for me?";
	%say[%a++] = "What are you looking at?";
	messageClient(%client,'','\c3[\c2Call \c6- \c4rEndERMaN\c3]: \c6%1',%say[getRandom(0,%a)]);
	schedule(getRandom(2000,4000),0,ScareCall_2,%client);
}
function ScareCall_2(%client){
	if(!isObject(%client))
		return;
	messageClient(%client,'',"\c3[\c2Call \c6- \c4rEndERMaN\c3]: \c6Goodbye.");
	schedyle(getRandom(500,1500),0,ScareCall_3,%client);
}
function ScareCall_3(%client){
	if(!isObject(%client))
		return;
	messageClient(%client,'',"\c3rEndERMaN Ended the call");
	%client.renderCall=0;
	%client.timesRung=0;
}
